Subject: Re: linux-next: build failure after merge of the block tree

From: Jens Axboe <[email-masked]>
Date: Tue, 18 May 2010 10:56:13 +0200

On Tue, May 18 2010, Stephen Rothwell wrote:
> Hi Jens,
> 
> After merging the block tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> block/blk-core.c: In function 'laptop_mode_timer_fn':
> block/blk-core.c:503: error: too few arguments to function 'bdi_start_writeback'
> 
> Caused by commit e913fc825dc685a444cb4c1d0f9d32f372f59861 ("writeback:
> fix WB_SYNC_NONE writeback from umount") from the block tree interacting
> with commit 42bd225c0ba7c95af39293d39a950c48e7e5cb23 (""laptop-mode: Make
> flushes per-device" fix") also from the block tree.  The merge
> 6205ed4658a0df8c2879519977bbed6853014016 should have changed the code in
> block/blk-core.c that moved from mm/page-writeback.c.
> 
> Mind you, I think that the change to laptop_mode_timer_fn in commit
> e913fc825dc685a444cb4c1d0f9d32f372f59861 was wrong anyway (the 0 should
> have been added at the end, surely).
> 
> I have used the block tree from next-20100517 for today.

Thanks, it looks like a merge/commit error on for-next alone, for-2.6.35
is fine. I'll make sure this gets fixed up now.

-- 
Jens Axboe